<p mat-dialog-title>Einstellungen für {{data.name}} ({{data.projectId}})</p>
<mat-dialog-content class="mat-typography">
  <p>Nachfolgend können die Parameter für das Projekt {{data.name}} angepasst werden</p>
  <mat-checkbox color="primary" [checked]="data.active" [(ngModel)]="data.active"  >Aktiv</mat-checkbox>
  <br>
  <mat-form-field>
    <mat-label>Name</mat-label>
    <input matInput [(ngModel)]="data.name" required #name=ngModel>
    <mat-error *ngIf="checkValidation(name)">{{errorMessage("Name")}}</mat-error>
  </mat-form-field>
  <br>
  <mat-form-field>
    <mat-label>Git Projekt-URL</mat-label>
    <input matInput [(ngModel)]="data.credential.gitProjectUrl" required #projectUrl=ngModel>
    <mat-error *ngIf="checkValidation(projectUrl)">{{errorMessage("Git Projekt-URL")}}</mat-error>
  </mat-form-field>
  <br>
  <mat-form-field>
    <mat-label>Git Verzeichnisname</mat-label>
    <input matInput [(ngModel)]="data.credential.gitDirectoryName" required #gitDirectoryName=ngModel>
    <mat-error *ngIf="checkValidation(gitDirectoryName)">{{errorMessage("Git Verzeichnisname")}}</mat-error>
  </mat-form-field>
  <br>
  <mat-form-field>
    <mat-label>Template-Datei</mat-label>
    <input matInput [(ngModel)]="data.credential.templateFileName" required #templateFile=ngModel>
    <mat-error *ngIf="checkValidation(templateFile)">{{errorMessage("Template-Datei")}}</mat-error>
  </mat-form-field>
  <br>
  <mat-form-field>
    <mat-label>Branch</mat-label>
    <input matInput [(ngModel)]="data.credential.branchName" required #branch=ngModel>
    <mat-error *ngIf="checkValidation(branch)">{{errorMessage("Branch")}}</mat-error>
  </mat-form-field>
  <br>
  <mat-form-field>
    <mat-label>Remote-Repository</mat-label>
    <input matInput [(ngModel)]="data.credential.gitRepoRemote" required #remoteRepository=ngModel>
    <mat-error *ngIf="checkValidation(remoteRepository)">{{errorMessage("Remote-Repository")}}</mat-error>
  </mat-form-field>
  <br>
  <mat-form-field>
    <mat-label>Git Push Ref Spec</mat-label>
    <input matInput [(ngModel)]="data.credential.gitRepoPushRefSpec" required #gitPushRefSpec=ngModel>
    <mat-error *ngIf="checkValidation(gitPushRefSpec)">{{errorMessage("Git Push Ref Spec")}}</mat-error>
  </mat-form-field>
  <br>
  <mat-form-field>
    <mat-label>Git Config Benutzername (für commit)</mat-label>
    <input matInput [(ngModel)]="data.credential.gitConfigUser" required #gitConfigUserName=ngModel>
    <mat-error *ngIf="checkValidation(gitConfigUserName)">{{errorMessage("Git Config Benutzername (für commit)")}}</mat-error>
  </mat-form-field>
  <br>
  <mat-form-field>
    <mat-label>Git Config E-Mail (für commit)</mat-label>
    <input matInput [(ngModel)]="data.credential.gitConfigEmail" required #gitConfigEmail=ngModel>
    <mat-error *ngIf="checkValidation(gitConfigEmail)">{{errorMessage("Git Config E-Mail (für commit)")}}</mat-error>
  </mat-form-field>
  <br>
  <mat-form-field>
    <mat-label>Git Security Name</mat-label>
    <input matInput [(ngModel)]="data.credential.gitCredentialTokenName" required #gitSecurityName=ngModel>
    <mat-error *ngIf="checkValidation(gitSecurityName)">{{errorMessage("Git Security Name")}}</mat-error>
  </mat-form-field>
  <br>
  <mat-form-field>
    <mat-label>Git Security Token</mat-label>
    <input matInput [(ngModel)]="data.credential.gitCredentialToken" required #gitSecurityToken=ngModel>
    <mat-error *ngIf="checkValidation(gitSecurityToken)">{{errorMessage("Git Security Token")}}</mat-error>
  </mat-form-field>
  <br>
  <mat-form-field>
    <mat-label>Erstellt am</mat-label>
    <input disabled matInput value='{{data.credential.createDate | date:"dd.MM.yyyy HH:mm:ss"}}'>
  </mat-form-field>
  <br>
  <mat-form-field>
    <mat-label>Letzte Änderung</mat-label>
    <input disabled matInput value='{{data.credential.lastChangeDate | date:"dd.MM.yyyy HH:mm:ss"}}'>
  </mat-form-field>
</mat-dialog-content>
<mat-dialog-actions align="end">
  <button mat-raised-button color="add" (click)="onNoClick()">Abbrechen</button>
  <button mat-raised-button color="success" [disabled]="checkElements([name, projectUrl, gitDirectoryName, templateFile, branch, remoteRepository, gitPushRefSpec, gitConfigUserName, gitConfigEmail, gitSecurityName, gitSecurityToken])" [mat-dialog-close]="data">Speichern</button>
</mat-dialog-actions>
